Bug 9592 - There are sec probs with inn-2.2.1, packages for pre-BETA releases should be updates to inn-2.2.2
There are sec probs with inn-2.2.1, packages for pre-BETA releases should be ...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: inn (Show other bugs)
5.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Cristian Gafton
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-19 15:52 EST by SB
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-18 10:39:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description SB 2000-02-19 15:52:00 EST
There are sec probs with inn-2.2.1, packages for pre-BETA releases should
be updates to inn-2.2.2.  There are a couple buffer overflows and some
other minor things. For example from inndstart.c:

      /* linux uglyness */
      if ((p = getenv("BIND_INADDR")) != NULL) {
 		(void)sprintf(buff, "BIND_INADDR=%s", p);
 		env[i++] = COPY(buff);
      }
      if ((p = getenv("TZ")) != NULL) {
 	(void)sprintf(buff, "TZ=%s", p);
 	env[i++] = COPY(buff);
      }

getenv and sprintf with no bounds checking.  I reported it back in
september and it is fixed in the 2.2.2 release.  Just thought you might
wanna know that 2.2.2 wasn't just a little Y2K fix which the NEWS file in
the 2.2.2 dist kind of implies.  Might be wise to update the RPMs.

-Stan Bubrouski

Note You need to log in before you can comment on or make changes to this bug.